org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

## Class Bulkhead55RapidRetry10ClassAsynchBean

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.Bulkhead55RapidRetry10ClassAsynchBean

    @ApplicationScoped
     @Bulkhead(waitingTaskQueue=5,
              value=5)
     @Asynchronous
     @Retry(delay=1L,
           delayUnit=MICROS,
           jitter=0L,
           maxRetries=10,
           maxDuration=999999L)
    public class Bulkhead55RapidRetry10ClassAsynchBean
    extends Object

A simple method level Asynchronous @Bulkhead bean that has a retry option.

Author:
  Gordon Hutchison, Andrew Rouse

### Constructor Summary

Constructors
Constructor and Description
`Bulkhead55RapidRetry10ClassAsynchBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Future<?>` `test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Bulkhead55RapidRetry10ClassAsynchBean

    public Bulkhead55RapidRetry10ClassAsynchBean()

### Method Detail

#### test

    public Future<?> test(Barrier barrier)